Put
/v1/enterprise/contract
Update an enterprise (or MSP tenant) to use a new monthly or term-based contract. For MSPs, sets total pool credits and contract shape; per-managed-enterprise allocations are set via IAM CreateEnterprise / UpdateEnterprise.
Security
API Key: jwtAuth
Header parameter nameauthorization
Use Bearer <token>
Header parameters
Authorization
stringRequired
Bearer token. Format: Bearer <your_token_here>
Body parameters
object
contractedCredits
number (float)
Amount of credits billed for a contract term or per month when no expiration is provided. For an MSP tenant, this is the total credits in the MSP billing pool (from which credits are allocated to managed enterprises).
Example12.34
expirationDate
object (manaV2TimePeriod)
month
integer (int32)
Example123
year
integer (int32)
Example123
Responses
200
OK
object